## python-friendly 0.7.21+git20230418.fe5d3a2

=== requirements.txt ===
rich >= 11
colorama
pygments
friendly-traceback >= 0.7.43
friendly_styles >= 0.2
platformdirs

## python-friendly 0.7.21%2Bgit20230418.fe5d3a2

=== debian/control ===
Source: python-friendly
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-friendly-styles,
               python3-friendly-traceback,
               python3-platformdirs,
               python3-pygments,
               python3-pytest <!nocheck>,
               python3-rich,
               python3-setuptools
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/friendly-traceback/friendly
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-friendly
Vcs-Git: https://salsa.debian.org/python-team/packages/python-friendly.git

Package: python3-friendly
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Friendlier tracebacks in any language
 Friendly is a Python module designed to replace Python's default tracebacks
 with error messages that are clear, educational, and adaptable to beginners,
 while remaining useful for experienced developers. It analyzes exceptions at
 runtime and provides detailed explanations of the causes, potential solutions,
 and context of the error, including the values ​​of relevant variables.
 .
 Key Features:
  - Accessible explanations
     Translates complex Python errors (like IndexError, NameError) into
     plain language, with practical suggestions (e.g. "Did you mean cos
     instead of cost?")
  - Multilingual support
     Provides full translations into French, Spanish, Russian, Tamil and
     partial translations into Hebrew/Italian, allowing non-English-speaking
     users to understand errors in their native language.
  - Flexible integration
     Works in terminals, IDEs (like VS Code, Jupyter Notebooks) and
     educational environments (Mu, custom IDLE via friendly_idle)
  - Color modes (--format light/dark) for better readability
  - Advanced diagnostics
     Pinpoints the exact location of the error, variable values ​​at the time
     of the error and the scope of available names.

=== debian/watch ===
version=5
opts="mode=git, pgpmode=none, pretty=0.7.21+git%cd.%h" \
https://github.com/friendly-traceback/friendly/ HEAD

## python-friendly 0.7.21+git20230418.fe5d3a2

=== debian/changelog ===
python-friendly (0.7.21+git20230418.fe5d3a2-1) unstable; urgency=medium

  * Initial release. (Closes: #109104)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 07 Jul 2025 21:04:03 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=python-friendly
export PROJECT_ROOT = $(CURDIR)
export UPDATE_SNAPSHOT=1
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --buildsystem=pybuild
